<?
define('PROTECTOR', 1);

$textl='Магазин';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
going();
zasad();
ryd();
place_okr();
place_zamok();
place_tower();
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

switch($_GET[act]){

default:
$req = mysql_query("SELECT * FROM `shop` WHERE `city` = '$udata[city]' and `id`='$_GET[id]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка, такой вещи нет!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);
///////////////
$req=mysql_query("SELECT * FROM domination WHERE id = '1'");
$dom = mysql_fetch_assoc($req);
if($dom['white']>$dom['black']){
$liders='white';
}elseif($dom['black']>$dom['white']){
$liders='black';
}else{
$liders='not';
}
if($udata['storona']==$liders){
$mag[cena]=round($mag[cena]-(($mag[cena]/100)*15));
}
/////////////
$nmoney=$udata[money]-$mag[cena];

if($nmoney<0){
echo'Не хватает монет!';
include($path.'files/down.php');
exit;
}

mysql_query("INSERT INTO
        `item` SET
        `usr` = '$log',
        `tip` = '$mag[tip]',
        `name` = '$mag[name]',
        `cena` = '$mag[cena]',
        `umin` = '$mag[umin]',
        `umax` = '$mag[umax]',
        `pgolova` = '$mag[pgolova]',
        `pbody` = '$mag[pbody]',
        `pnogi` = '$mag[pnogi]',
        `hp` = '$mag[hp]',
        `mp` = '$mag[mp]',
        `krit` = '$mag[krit]',
        `ukrit` = '$mag[ukrit]',
        `antikrit` = '$mag[antikrit]',
        `sila` = '$mag[sila]',
        `lovk` = '$mag[lovk]',
        `um` = '$mag[um]',
        `prot` = '$mag[prot]',
        `klas` = '$mag[klas]',
        `nsila` = '$mag[nsila]',
        `num` = '$mag[num]',
        `nlovk` = '$mag[nlovk]',
        `nlvl` = '$mag[nlvl]',
        `image` = 'not'");

$req = mysql_query("SELECT * FROM `zamok` WHERE `city` = '$udata[city]' LIMIT 1");////////////
//////////////////////////////////////////////////////////////////////////////////////////////
$city = mysql_fetch_array($req);//////////////////////////////////////////////////////////////
if($city[clan]!='not'){/////////////////////////////////////////
$req = mysql_query("SELECT * FROM `clan` WHERE `lider`='$city[clan]'");///////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////
$clan = mysql_fetch_array($req);//////////////////////////////////////////////////////////////
$clan[money]=round($clan[money]+(($mag[cena]/100)*2));////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////
$cm = round($mag[cena]/100*2);
mysql_query("UPDATE `clan` SET `money` = '$clan[money]' WHERE `lider` = '$city[clan]'");
mysql_query("INSERT INTO clanlog SET clan='$city[clan]',msg='Прибыль владения городом: + $cm монет'");
}

mysql_query("UPDATE users SET money = '$nmoney' WHERE usr = '$log'");

echo"
Вещь $mag[name] куплена и помещена в инвентарь!<br/>
Монет потрачено: $mag[cena]<br/>
Монет осталось: $nmoney<br/>
";
echo"<a href=\"shop.php?\">Назад</a>";

break;

case 'ask':
echo'Вы действительно хотите купить эту вещь?<br/>';
echo"<a href=\"sell.php?id=$_GET[id]\">Да</a><br/>";
echo"<a href=\"shop.php?\">Нет</a>";
break;
}
include($path.'files/down.php');
?>